Multistep checks
Fetch detailed availability metrics and aggregated or non-aggregated Multistep Check metrics across custom time ranges. Rate-limiting is applied to this endpoint, you can send 30 requests / 60 seconds at most.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Available metrics for Multistep Checks. You can pass multiple metrics as a comma separated string.
responseTime, availability, retries, responseTime_avg, responseTime_max, responseTime_median, responseTime_min, responseTime_p50, responseTime_p90, responseTime_p95, responseTime_p99, responseTime_stddev, responseTime_sum Response
Success